<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

August 5, 2019

Host: Michael Dolan

Rotating Secretary: Michael Dolan

Attendees:
  * [ ] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Sony Pictures Imageworks
  * [X] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [X] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carl Rand (_TSC_) - Foundry
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk

Apologies:
  Mark Boorer

# **OCIO TSC Meeting Notes**

* License Scan Status
    - Michael: Test LUT files were called out as not having license notices. Can 
      we have an exception with these?
    - John: The ASWF governing board can approve exceptions. They will need to 
      approve the sampleicc exception.
    - Doug: Could put a license file in the test data directory which applies 
      to all files.
    - John: Agrees that would be a good approach. BSD-3-Clause is the most 
      appropriate license for these files.
    - **TODO**: Michael will add LICENSE.md file to test/data dir in PR #783
    - **TODO**: Larry will discuss the flagged “Cloudy with a Chance of 
      Meatballs” images with Sony.
    - Kevin: We also need to update the LICENSE on the OCIO website
    - Michael: That is pulled from GitHub, but currently from the RB-1.1 
      branch. Since the license cleanup work is being done in master, is it Ok 
      to wait for a 2.0 release next year to update the site?
    - John: That should be Ok.
    - Kevin: Let’s make a note to not forget it.
    - Michael: Sean is looking into updated website and docs, so can take that 
      into account.
    - **TODO**: Sean will update website LICENSE as part of redesign.

* Committers Policy
    - PR #785 lists current committers, and is a requirement for graduation. 
      Should we establish a policy for removing names from this list when they 
      are inactive?
    - Patrick: The goal is not to push people out, but to encourage 
      participation. One option would be to have a duration of inactivity, 2-3 
      years, at which point the TSC discusses pruning up the list.
    - John: The GOVERNANCE file already gives the TSC discretion to give 
      inactive committers emeritus status, or to remove them.
    - Doug: That’s the list of people whose approval counts toward merge. If 
      there were someone who we thought was active and qualified, they could be 
      added to the list, to help with reviews. Removing inactive people is not 
      a critical need.
    - John: There’s often a good reason why people have not been around.
    - Patrick: We could commit the current COMMITTERS file as-is, and contact 
      inactive committers to inquire of interest in continued participation.
    - **TODO**: Michael will reach out to those with admin/write status to ask 
      if they would like to remain involved in OCIO.

* SIGGRAPH Recap
    - Doug: Good turnout to BoF, in spite of it happening at the same time as 
      USD BoF.
        - Side-conversations and feedback on the event were positive.
        - There was an email discussion prior to SIGGRAPH about a joint 
          ACES/OCIO meeting, but it didn't work out.
    - Michael: Mark's OpenColorMath preview was well received. Questions at BoF 
      were all about that work.
    - Michael: We were approached by an engineer from Method interested in 
      helping with Python docs, and by Netflix post production about interest in 
      contributing.
    - Sean: Asks about work on the new Python bindings, since pybind11 has 
      interface for docstrings, which will affect doc contributions.
        - Michael: I'll continue work on the bindings soon. I have SPI's blessing 
          to do the work, since we're in need of the Python 3 support.
        - Michael: I noticed OpenTimelineIO's C++ branch is using pybind11. That 
          and OpenImageIO will be great reference.
        - Larry: MaterialX is also using pybind11.
