<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

March 30, 2020

Host: Michael Dolan

Rotating Secretary: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [X] John Mertic - Academy Software Foundation / Linux Foundation
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Carol Payne - Netflix
  * [X] Mei Chu - Sony Pictures Imageworks

# **OCIO TSC Meeting Notes**

* Python bindings
    - PR #976 ready for review. The API has changed from previous bindings, so 
      any feedback is appreciated.
    - Michael: Wondering about best approach for Python docs. Use previous 
      mechanism or embed docs in pybind11 bindings?
    - Patrick: The Python API differs from C++ enough that having separate 
      documentation will be important to address differences. Keeping it in the 
      code seems like a good solution.
    - **TODO**: Michael will add docs to binding code in a future PR.

* GSoC update:
    - Tomorrow is the proposal deadline. There are quite a few proposals to review.
      How many projects should we expect to accept?
    - Larry: It depends on the applications. We will pair applications with mentors
      and submit them to Google in a ranked order. Google will then tell us which we 
      get. Since ASWF is applying together, the project leaders will need to discuss
      between all applications and decide together. In the past I have usually gotten
      all the applicants requested; 3-4.
    - Doug: There is a propsal to update the Java bindings which could use a review
      from someone who knows Java.
    - Larry: We can also enlist someone from outside the project to help. That person
      doesn't need to be the mentor.
    - Michael: Someone from OpenCue may be able to assist with guidance for Java CI.
    
* Documentation / wiki:
    - Doug: I enabled the GH wiki feature last week. Any thoughts on adding some 
      project docs via the wiki?
    - John: It depends what you are documenting (internal or external processes, 
      policy, etc.), and also on who is maintaing it. More and more projects are
      using GH for everything, all in markdown. If the topic is how to use OCIO; 
      that's different from documenting how the TSC works.
    - Doug: We want a way for end users who are maintaining configs to share their 
      experience without having ot make a PR. Tips, tricks, etc.
    - John: A GH wiki is version controllable, but may require higher-level 
      permissions changes. Just consider the level of curating that will be needed
      to keep a wiki from getting unwieldy. We can also talk about other tools 
      which sit on top of GH to make editing rich text simpler.
    - Carol: What does ASWF use for a wiki, if anything?
    - John: We don't have a wiki currently; just a designed website and GH repo 
      with lots of process documentation. We see a lot more projects moving away
      from wikis since they can become hard to curate and maintain over time, 
      and technical docs are easier to derive from code. It's important to look at 
      what the process and tools are for maintaining the chosen solution.
