<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

May 11, 2020

Host: Michael Dolan

Rotating Secretary: Doug Walker

Attendees:
  * [x] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [x] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [ ] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [x] Michael Dolan (_TSC Chair_) - Epic Games
  * [x] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [x] Carol Payne (_TSC_) - Netflix
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [x] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [x] Kevin Wheatley (_TSC_) - Framestore
  * Joseph Goldstone - ARRI
  * Bernard Lefebvre - Autodesk

Apologies:
  Sean Cooper

# **OCIO TSC Meeting Notes**

* Videos for OCIO
    - Michael: Emily Olin (ASWF PR director) is hoping to help us develop some videos explaining 
      and demonstrating OCIO, and is looking for studios who can contribute recent images, videos, 
      breakdowns etc. that could be used within that. If any of you have some content you could 
      clear, let me know and I can put Emily in contact with you.
    - Michael: I was able to get a few things cleared when I was at Sony, but it would be great to 
      get some new content in addition to that.
    - Mark: I think anything from our YouTube videos should be available.
    - Carol: We have been working with some international studios and may be able to get something.
    - Michael: It's a nice opportunity for a studio to show public support for OCIO.
    - Doug: We're thinking of maybe having two videos: one is an overview introducing what OCIO is,
      and a second that is specifically about the new features in OCIO v2.
    - Michael/Doug: It would be nice to have some images from a recognizable movie that are in
      different color spaces to help with the explanations.

* OCIO Configs Repo
    - Michael: If anyone has any objections to me getting the ball rolling with getting an 
      OpenColorIO-Config-ACES repo set up under ASWF GH org, please let me know. We can rename it 
      later, but I would like to start some momentum on that effort. We can hold off on any other 
      config repos for now, but the ACES one seems pertinent to get going.
    - Michael: We would like to have a v2 example config in place by SIGGRAPH and need to start now 
      to avoid a last minute rush.
    - The TSC expressed support for that plan.
    - There was some discussion about whether this would be useful for OCIO unit tests since the
      existing tests build "toy configs" on the fly rather than real configs.  However the group
      felt it would be difficult to leverage this for several reasons including the fact that it
      is in a separate repo and also changes to it might break tests.  Also, we are trying to
      minimize the number of external files the unit tests require.
    - Micheal: On the topic of unit tests, it might be cool to use Github Actions CI to do some
      testing where images are processed and compared to reference images.

* Documentation
    - Doug: We are just over two months from feature complete, we need to start updating the 
      documentation as soon as possible.  It sounds like we have a lot of agreement about wanting
      to refresh the landing page, restructure the documentation, etc. but if we don't get that
      in place soon we may be stuck having to just update what is already there.
    - Carol: Sean has been working on a solution for the docstrings and we have had some
      discussion on other aspects.  I will try to block out some time to work on a list of items
      that will need to be addressed. 
    - Carol: There are a number of tasks involved in making the refreshed landing page: a nice 
      design, making it mobile friendly, doing the SEO work, etc.  Could the Linux Foundation help?
    - Michael: Yes, we should reach out to Emily about that.
