<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

June 22, 2020

Host: Michael Dolan

Rotating Secretary: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [ ] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carol Payne (_TSC_) - Netflix
  * [ ] Mark Titchener (_TSC_) - Foundry
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Troy Sobotka

# **OCIO TSC Meeting Notes**

* GPU CI investigations:
    - Infrastructure is in place for GPU CI on AWS. Credentials are for 
      organization-wide use so all projects can benefit.
    - **TODO**: Michael will work with LF releng and JF Panisset on 
      implementation starting this week.

* SIGGRAPH BoF:
    - 30 minutes this year and virtual. With summer vacations coming up we 
      should have a plan in place.
    - Doug: We may want to schedule a longer event to go into more detail, 
      could be after SIGGRAPH. Not sure if people will want to sit through full 
      week of online meetings. Could do 30 minute overview, and longer 
      "intro to v2" session after SIGGRAPH.
    - Mark: Could use SIGGRAPH time to do presentation, but spin up Zoom 
      meeting to chat about it afterwords for an hour or two.
    - Carol: Emily mentioned possibly doing Open Source Day as a separate thing 
      from SIGGRAPH.
    - Doug: BoFs are separate from SIGGRAPH and free to all. Don't know exact 
      date yet, but thought it was positioned relative to the original SIGGRAPH 
      date.
    - **TODO**: Double check with Emily whether ASWF Open Source Day will be 
      part of SIGGRAPH or separate, and if date is known.
    - Michael: We had discussed with Emily the idea of creating some OCIO 
      videos. Perhaps this could intersect?
    - Doug: Those videos may have been more for promotional purposes than 
      education. 5 minute videos. Educational video will need to be longer.
    - Kevin: Is the scarce resource our time or that of people joining? People 
      can watch videos when they want, so the BoF room time could be used for 
      discussion. Usually the BoF is half presentation and half discussion.
    - Michael: If we go that route, we'll need to make sure we communicate 
      to the community where to find the video ahead of time.
    - Kevin: Could do offline presentation a week in advance, which would 
      result in less schedule conflicts.
    - **TODO**: Determine BoF/in-depth presentation plan once more information
      on Open Source Day is available.

* Pull requests:
    - Patrick: Some old PRs. Are any blockers? Bernard's review is important, 
      but there have been open CMake and Python PRs for a while.
    - Michael: I can now address feedback on CMake PR, but can't merge until 
      Sean has CCLA in system. This raises the point that with many initiatives 
      ramping up and more contributors, getting CCLAs signed will be important. 
      If you haven't started the process yet, it can take some time, so 
      recommend starting soon.
    - Doug: In EasyCLA instructions, says CLA manager at company should approve 
      all projects, which simplifies the process for companies already 
      contributing to another ASWF project. The CLA manager can add a company 
      email domain so that anyone with a company email address can be approved.
    - Mei: For Python unit test PRs, I am responding to PR comments. Working on
      completing tests for transforms first.
    - Michael: Feel free to open GH issues for unit tests that have not been 
      completed. Others can then help and we can track the overall initiative.

* New work on EGL support (#1039):
    - Doug: New contributor doing work on EGL. Anyone have experience?
    - Patrick: Window-system agnostic graphics APIs. On paper it's a good way 
      to improve GPU unit tests.
    - Doug: JF proposed this originally as way to avoid Nvidia GRID licenses 
      for GPU tests.
    - Patrick: It's mostly for headless machines. WIll require a lot of testing 
      but huge benefit to project.
