<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

October 26, 2020

Host: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [X] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carol Payne (_TSC_) - Netflix
  * [X] Mark Titchener (_TSC_) - Foundry
  * [X] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [ ] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Matthias Scharfenberg - Industrial Light & Magic

# **OCIO TSC Meeting Notes**

* Survey questions
    - Patrick: At the TAC meeting last week there was discussion around ASWF 
      survey and project questions. Categorization and multiple choice are 
      the main areas to improve.
    - Michael: Yes, will need to pare down question somewhat and make multiple 
      choice where possible to reduce time commitment to fill out. I can work 
      on converting them to multiple choice, but please comment if you think 
      any could be reduced or removed. We can ask any other questions we have 
      within the OCIO community.

* API documentation status update:
    - Michael: Finalizing Python API doc setup. Python module which walks 
      Doxygen XML and generates header matching pybind11_mkdoc. Working on 
      updating DOC references in binding source, which is time consuming. Will
      open PR once that's done. Will need to revisit bindings to add 
      Python-specific documentation in a later PR.
    - Patrick: For Doxygen extraction: any limitations to doxygen features 
      that can be used? Want to update docs as we're adding stuff.
    - Michael: The XML conversion module will fail if it hits an unhandled 
      element, which will help keep it up to date to support any Doxygen 
      features we need. Code is fairly simple to update, so can be done as 
      needed.
    - Michael: I have not dug into RTD side of docs yet as I don't have access. 
    - Sean: I tried to add you but didn't find your RTD account. I can try 
      again.
    - **TODO**: Michael will create RTD account so Sean can add it.

* PR/issue discussion:
    - Patrick: Nothing complex right now.
    - Doug: Mostly bug fixes or minor improvements.
    - Patrick: Opened issue about vcpkg (#1179). Good to put attention on it. 
      vcpkg is broken for v1. Should update to work for v2. If someone has 
      knowledge, should be simple to fix. Could also fix v1 if there's time. 
      All the needed info is linked in the issue.

* OCIO v2 discussion:
    - Mark: Going through v2 updates and making notes. Going to write it up 
      and share for next week. Some little style things. Some fundamental 
      things for discussion.
    - Michael: Anything to report from current AD efforts?
    - Doug: Next week will give an update and share some slides. We're busy 
      working on v2 stuff. Not feature related, but one feature mentioned in 
      last v2 working group meeting will have PR. This work is documented in 
      a GH issue already.
    - Carol: Larry gave OCIO a very nice shout out in ASWF slack - general 
      channel. Have a look when you can.

* Python minimum version:
    - Mark B: Is there a minimum supported Python version in the new bindings? 
      Ran into an odd Python 3.6/3.7 issue, but think is was environment 
      related. Some of Python's threading API must have changed between these
      versions.
    - Michael: OCIO Python bindings support down to 2.7, but docs require 3. 
      It's only our sphinx theme that limits docs to 3, which is unfortunate.
      I ran into a Python env issue as well recently. I was building OCIO on 
      Linux subsystem for Windows, but didn't have python-dev installed (only 
      python). The CMake find module grabbed libs from my Windows Python 
      install from the Linux side, which failed.
