<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

July 28, 2020

Host: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Carol Payne (_TSC_) - Netflix
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Matthias Scharfenberg - Industrial Light & Magic
  * [X] Dennis Adams - Sony
  * [X] Thomas Mansencal - Weta Digital
  * [X] Troy Sobotka

# **OCIO Configs Working Group Meeting Notes**

* License, copyright choice:
    - Need to decide whether to use OpenColorIO's statement, or make a 
      project-specific copyright ("Contributers to the 
      OpenColorIO-Config-ACES project"). John Mertic suggested reusing
      OpenColorIO statement unless this project will have its own 
      governance, different from OCIO.
    - Group agrees to use same OpenColorIO governance and statement, 
      operating as a sub-project.
    - **TODO**: Thomas will update PR #4 with revised statements.

* Feature complete state of BuiltinTransform:
    - Michael: OCIO v2 being feature complete does not include all ACES 
      transforms, correct?
    - Doug: Correct, not needed to have all transform initially. Key thing it 
      to have examples which can be built upon. This is a feature more useful 
      to config authors than application integrators. Anticipated working on 
      this after feature complete.
    - Thomas: Makes sense to have skeleton generated by then. People can then 
      write transforms, and work incrementally.
    - Michael: Really just need to modify output to build config instead of 
      graph.
    - Thomas: Transforms already are there - graph is built on it. Could 
      possibly use graph to generate config.
    - Mark: Been writing CTL parser that can compile and eval CTL differently. 
      Have interpreter, which can live compile and run CTL code.
    - Thomas: There's an ACES central thread on future of CTL, discussing 
      similar points. Would be great to share this work there.
    - Mark: Expression transform can then work with CTL directly, and emit 
      glsl, etc to support different renderers.

* Next steps:
    - Use ACES discovery code to generate skeleton OCIO config. Transforms can
      be omitted to start, unless just using a ColorSpaceTransform to convert
      between other color spaces.
    - Skeleton will be used to outline missing BuiltinTransform algorithms 
      needed to complete reference config.
    - Reference config will NOT be ready for SIGGRAPH.

* ASWF contributions?
    - Thomas: If time is issue to contribute, could ASWF provide resources to 
      help complete the work. ACES contracted the creation of the original 
      ACES OCIO config for example.
    - Michael: There was some early discussion following GSoC as to whether the 
      ASWF could hire students or developers for a similar dedicated program, 
      but it hasn't been discussed further. ASWF premier members do commit to 
      providing the equivalent of one full time engineer (FTE) to ASWF project 
      contributions each year, so it's possible we could get some help through 
      that.
    - Thomas: Good to have something formalized. 
    - Carol: As we get past launch, we might have more time. We're likely to 
      attract new people to the community. We’re all swamped.
